1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Configuring LiteSpeed Ent 5.1 RC1 with SPDY

Discussion in 'Server Configuration and Hosting' started by DJ XtAzY, Jun 22, 2014.

  1. DJ XtAzY

    DJ XtAzY Active Member

    Anyone running this version and configured it to work with SPDY? I think I'm having trouble setting this up correctly.

    If I simply go to my site without using https, it loads find as usual, but if I access it with https, it takes forever to load, probably over 2 minutes, which also cause my whole layout look like a mess since it's not reading the css correctly or something..
  2. Tracy Perry

    Tracy Perry Well-Known Member

    Is that the latest Enterprise version... I know they had a problem with one of their versions at one point doing something similar.
    Enabling spdy is fairly easy in OpenLiteSpeed, so it should be very similar in LiteSpeed.
  3. DJ XtAzY

    DJ XtAzY Active Member

    I used http://spdycheck.org/ and it said SPDY was enabled.

    Using http:


    Using https


    So i'm not sure what's causing all those requests to wait/pending when accessing from SSL. Also this usually happens if I do a hard refresh on the browser. This doesn't happen if I downgrade to version 4 series, but that means no SPDY feature.
    Last edited: Jun 22, 2014
  4. lsmichael

    lsmichael Member


    Posted this on the LiteSpeed forum, but I figure it's best to put it in both places:

    Sorry to leave you hanging. 5.0 is still beta and we're not sure exactly why this is happening. We're very far into developing 5.0 RC2 right now, so it's probably not the best idea for us to troubleshoot your setup just yet. (It may be an issue that is already fixed in RC2.) We'd really appreciate it if you try RC2 when it comes out. If you have a similar problem, then we'd like to log into your setup at that time and investigate further.


  5. HammerDown

    HammerDown Active Member

    Would love an update on this from anyone "in the know." I see Litespeed 5.0.1 is out. I'm interested in PHP 6 and SPDY.

    More info? Also messaged @MattW for his input.
  6. Tracy Perry

    Tracy Perry Well-Known Member

    Have you checked at LiteSpeed Support Forums
  7. HammerDown

    HammerDown Active Member

    Yes, particularly interested in getting advice and feedback from xenforo users on SPDY. If it's not highly recommended, I'll stay on 4.x
  8. The Forum Heroes

    The Forum Heroes Well-Known Member

    LiteSpeed 5.x has been running on all our servers for about two weeks now. Several clients have noticed even faster loading times now that we support SPDY.
  9. MattW

    MattW Well-Known Member

    We've had constant issues with Litespeed on the 5.0 build, to the point we were having to manually update constantly with their frequent build released (got to build 21 on 5.0). I've rolled all mine back to 4.2.X until it's more stable.
  10. RoldanLT

    RoldanLT Well-Known Member

    Why SPDY when there is HTTP/2 available on LSWS? :)
    Mike Fara and HammerDown like this.
  11. MattW

    MattW Well-Known Member

    LWSW will use HTTP/2 rather than SPDY
    Alfa1 and RoldanLT like this.
  12. HammerDown

    HammerDown Active Member

  13. Moshe1010

    Moshe1010 Well-Known Member

    You're still using SPDY though :)
  14. RoldanLT

    RoldanLT Well-Known Member

    He is using Nginx on centminmod right now.
    Don't know why he replaced LS.
  15. MattW

    MattW Well-Known Member

    Because I rebuilt the VPS with centminmod rather than cPanel.
    eva2000 likes this.

Share This Page